Fringer EF/FX Adapters’ Bug Fix Firmware (V2.10) is Available


According to some users’ feedback, V2.0 firmware introduced a bug that some old lenses may fail to be identified by the adapter. Wrong aperture value is displayed and AF doesn’t work properly. Meanwhile, we also fixed a bug that may cause repeatedly black screen and camera restart under some rare conditions. Please upgrade you adapter as soon as possible.

Be noted, V2.10 is a replacement for V2.0 as the new baseline. In the future all firmware version newer than V2.10 can only be installed on adapter with V2.0, V2.10 or newer version firmware. V1.x must be upgraded to V2.0 or V2.10 before install firmware newer than V2.10.

2018/6/24
Version 2.10 (Bug fix version)
1.Bug fixed: Under some rare conditions, it may occur repeatedly that the LCD go black and the camera restart.
2.Bug fixed: Fail to identify some old lenses, such as Tamron 90/2.8 the oldest version, Canon 50/1.8 II, etc. The aperture value displayed may be incorrect.
Note: v2.10 is a bug fix for v2.0. Thus, you don’t need to install v2.0 before v2.10 on a v1.x adapter. Adapters with firmware v1.x must be upgraded to v2.0 or v2.10 before install any firmware newer than v2.10. Upgrading from v1.x to firmware newer than v2.10 directly is not supported.

Download Here

via FringerDev

This entry was posted in 3rd Party Lens, Accessories and tagged , , , , . Bookmark the permalink. Trackbacks are closed, but you can post a comment.